Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class DataDefinition.MultipleUniqueKeyDefinition

    java.lang.Object
      org.makumba.DataDefinition.MultipleUniqueKeyDefinition

All Implemented Interfaces:
  Serializable

Enclosing interface:
  DataDefinition

    public static class DataDefinition.MultipleUniqueKeyDefinition

extends Object
implements Serializable

Data structure holding the definition of a mult-field unique key.

See Also:
  Serialized Form

Constructor Summary
`DataDefinition.MultipleUniqueKeyDefinition(String[] fields, String line, String errorMessage)`

Method Summary
`protected String` | `getErrorMessage()`
`String` | `getErrorMessage(Object[] values)`
`String[]` | `getFields()`
`String` | `getLine()`
`boolean` | `isKeyOverSubfield()`
`void` | `setKeyOverSubfield(boolean keyOverSubfield)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataDefinition.MultipleUniqueKeyDefinition

    public DataDefinition.MultipleUniqueKeyDefinition(String[] fields,
                                                      String line,
                                                      String errorMessage)

Method Detail

### getFields

    public String[] getFields()

### getLine

    public String getLine()

### getErrorMessage

    protected String getErrorMessage()

### getErrorMessage

    public String getErrorMessage(Object[] values)

### setKeyOverSubfield

    public void setKeyOverSubfield(boolean keyOverSubfield)

### isKeyOverSubfield

    public boolean isKeyOverSubfield()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20